Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class LiteratureReference

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.LiteratureReference

All Implemented Interfaces:
  DataElement, MutableDataElement

public class LiteratureReference
extends MutableDataElementSupport

Defines coomon properties of literature reference. Our format is based on MEDLINE (PubMed) literature reference format. Here we use major fields of MEDLINE and ommit some accessory fields. From the other hand we add some utility fields allowing a user to organize and categorize references by user defined themes, key words and importance, as well as to store user comments and related URLs.

Pendung:
  inherit from `GenericEntity`. http://www.ncbi.nlm.nih.gov/entrez/utils/pmfetch.fcgi?db=PubMed&id=12075356&report=MEDLINE&mode=text

Field Summary
`int` | `importance` The reference importance.
`protected static org.apache.log4j.Category` | `log`
`protected static java.lang.String` | `medlineQuery`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`LiteratureReference(DataCollection parent, java.lang.String name)`

Method Summary
`protected java.lang.String` | `generateReferenceId()` Generates unique human readable name for the literature reference.
`java.lang.String` | `getAffilation()`
`protected java.lang.String` | `getAuthorLastName(java.lang.String author)`
`java.lang.String` | `getAuthors()`
`java.lang.String` | `getComment()`
`java.lang.String` | `getFullTextURL()`
`int` | `getImportance()`
`java.lang.String` | `getIssue()`
`java.lang.String` | `getJournalTitleAbbrevation()`
`java.lang.String` | `getKeywords()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getMedlineId()`
`java.lang.String` | `getPagination()`
`java.lang.String` | `getPublicationAbstract()`
`java.lang.String` | `getPublicationDate()`
`java.lang.String` | `getPublicationType()`
`protected java.lang.String` | `getPublicationYear()`
`java.lang.String` | `getPubMedId()`
`java.lang.String` | `getRelatedURLs()`
`java.lang.String` | `getSource()` Returns composite field containing bibliographic information.
`java.lang.String` | `getTheme()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getVolume()`
`protected void` | `initFromMedline(java.lang.String name)`
`void` | `setAffilation(java.lang.String affilation)`
`void` | `setAuthors(java.lang.String authors)`
`void` | `setComment(java.lang.String comment)`
`void` | `setFullTextURL(java.lang.String fullTextURL)`
`void` | `setImportance(int importance)`
`void` | `setIssue(java.lang.String issue)`
`void` | `setJournalTitleAbbrevation(java.lang.String journalTitleAbbrevation)`
`void` | `setKeywords(java.lang.String keywords)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setMedlineId(java.lang.String medlineId)`
`void` | `setPagination(java.lang.String pagination)`
`void` | `setPublicationAbstract(java.lang.String publicationAbstract)`
`void` | `setPublicationDate(java.lang.String publicationDate)`
`void` | `setPublicationType(java.lang.String publicationType)`
`void` | `setPubMedId(java.lang.String pubMedId)`
`void` | `setRelatedURLs(java.lang.String relatedURLs)`
`void` | `setTheme(java.lang.String theme)`
`void` | `setTitle(java.lang.String title)`
`void` | `setVolume(java.lang.String volume)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### log

    protected static org.apache.log4j.Category log

### medlineQuery

    protected static java.lang.String medlineQuery

### importance

    public int importance

  The reference importance. Using this property user can organise references by their importance.

Constructor Detail

### LiteratureReference

    public LiteratureReference(DataCollection parent,
                               java.lang.String name)

Method Detail

### initFromMedline

    protected void initFromMedline(java.lang.String name)

### generateReferenceId

    protected java.lang.String generateReferenceId()

  Generates unique human readable name for the literature reference. General format is:
  - for one author - `AUTHOR_LAST_NAME, YEAR[L]`
  - for two authors - `AUTHOR_LAST_NAME_1 and AUTHOR_LAST_NAME_2, YEAR[L]`
  - for third and more authors - `AUTHOR_LAST_NAME et al., YEAR[L]`
  - no authors - `TITLE[L]` or defined by user

### getAuthorLastName

    protected java.lang.String getAuthorLastName(java.lang.String author)

### getPublicationYear

    protected java.lang.String getPublicationYear()

### getMedlineId

    public java.lang.String getMedlineId()

### setMedlineId

    public void setMedlineId(java.lang.String medlineId)

### getPubMedId

    public java.lang.String getPubMedId()

### setPubMedId

    public void setPubMedId(java.lang.String pubMedId)

### getAuthors

    public java.lang.String getAuthors()

### setAuthors

    public void setAuthors(java.lang.String authors)

### getAffilation

    public java.lang.String getAffilation()

### setAffilation

    public void setAffilation(java.lang.String affilation)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getSource

    public java.lang.String getSource()

  Returns composite field containing bibliographic information. (MEDLINE SO field).

### getJournalTitleAbbrevation

    public java.lang.String getJournalTitleAbbrevation()

### setJournalTitleAbbrevation

    public void setJournalTitleAbbrevation(java.lang.String journalTitleAbbrevation)

### getVolume

    public java.lang.String getVolume()

### setVolume

    public void setVolume(java.lang.String volume)

### getIssue

    public java.lang.String getIssue()

### setIssue

    public void setIssue(java.lang.String issue)

### getPagination

    public java.lang.String getPagination()

### setPagination

    public void setPagination(java.lang.String pagination)

### getPublicationAbstract

    public java.lang.String getPublicationAbstract()

### setPublicationAbstract

    public void setPublicationAbstract(java.lang.String publicationAbstract)

### getFullTextURL

    public java.lang.String getFullTextURL()

### setFullTextURL

    public void setFullTextURL(java.lang.String fullTextURL)

### getPublicationDate

    public java.lang.String getPublicationDate()

### setPublicationDate

    public void setPublicationDate(java.lang.String publicationDate)

### getLanguage

    public java.lang.String getLanguage()

### setLanguage

    public void setLanguage(java.lang.String language)

### getPublicationType

    public java.lang.String getPublicationType()

### setPublicationType

    public void setPublicationType(java.lang.String publicationType)

### getTheme

    public java.lang.String getTheme()

### setTheme

    public void setTheme(java.lang.String theme)

### getKeywords

    public java.lang.String getKeywords()

### setKeywords

    public void setKeywords(java.lang.String keywords)

### getImportance

    public int getImportance()

### setImportance

    public void setImportance(int importance)

### getRelatedURLs

    public java.lang.String getRelatedURLs()

### setRelatedURLs

    public void setRelatedURLs(java.lang.String relatedURLs)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.